package com.css.simulation.resource.server.infra.threadpool;

import org.glassfish.jersey.internal.guava.ThreadFactoryBuilder;

import java.util.concurrent.*;

/**
 * @author lcy
 * @date 2024/4/10 21:01
 */
public class ThreadPool {
    private static final ThreadFactory sceneEvaluationComputeFactory = new ThreadFactoryBuilder()
            .setNameFormat("scene-evaluation-compute-pool-%d").build();

    private static final ThreadFactory sceneEvaluationUploadFactory = new ThreadFactoryBuilder()
            .setNameFormat("scene-evaluation-upload-pool-%d").build();
    public static ExecutorService sceneEvaluationComputePool = new ThreadPoolExecutor(5, 200,
            0L, TimeUnit.MILLISECONDS,
            new LinkedBlockingQueue<>(1024), sceneEvaluationComputeFactory, new ThreadPoolExecutor.AbortPolicy());

    public static ExecutorService sceneEvaluationUploadPool = new ThreadPoolExecutor(5, 20,
            0L, TimeUnit.MILLISECONDS,
            new LinkedBlockingQueue<>(1024), sceneEvaluationUploadFactory, new ThreadPoolExecutor.AbortPolicy());
}
